SQLServerActionBuilder (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.dba.sqlserver, class: SQLServerActionBuilder

# Class SQLServerActionBuilder

java.lang.Object
org.apache.cayenne.dba.JdbcActionBuilder
org.apache.cayenne.dba.sqlserver.SQLServerActionBuilder

All Implemented Interfaces:
  `SQLActionVisitor`

public class SQLServerActionBuilder extends JdbcActionBuilder

Since:
  1.2

- ## Field Summary

  ### Fields inherited from class JdbcActionBuilder

  `dataNode`
  Modifier and Type
  Field
  Description
  `protected DataNode`
  `dataNode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SQLServerActionBuilder(DataNode dataNode)`
  `SQLServerActionBuilder(DataNode dataNode, Integer version)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SQLAction`
  `batchAction(BatchQuery query)`
  Creates an action to execute a batch update query.
  `<T> SQLAction`
  `objectSelectAction(FluentSelect<T,?> query)`
  Creates an action to execute a FluentSelect.
  `SQLAction`
  `procedureAction(ProcedureQuery query)`
  Creates an action to execute a ProcedureQuery.

  ### Methods inherited from class JdbcActionBuilder

  `ejbqlAction, sqlAction`
  Modifier and Type
  Method
  Description
  `SQLAction`
  `ejbqlAction(EJBQLQuery query)`
  Creates an action to execute EJBQL query.
  `SQLAction`
  `sqlAction(SQLTemplate query)`
  Creates an action to execute a SQLTemplate.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SQLServerActionBuilder

    public SQLServerActionBuilder(DataNode dataNode)
    Parameters:
      `dataNode` - current data node
    Since:
      4.0

  - ### SQLServerActionBuilder

    public SQLServerActionBuilder(DataNode dataNode, Integer version)
    Parameters:
      `dataNode` - current data node
      `version` - database server version
    Since:
      4.2

- ## Method Details

  - ### batchAction

    public SQLAction batchAction(BatchQuery query)
    Description copied from interface: `SQLActionVisitor`
    Creates an action to execute a batch update query.
    Specified by:
      `batchAction` in interface `SQLActionVisitor`
    Overrides:
      `batchAction` in class `JdbcActionBuilder`

  - ### procedureAction

    public SQLAction procedureAction(ProcedureQuery query)
    Description copied from interface: `SQLActionVisitor`
    Creates an action to execute a ProcedureQuery.
    Specified by:
      `procedureAction` in interface `SQLActionVisitor`
    Overrides:
      `procedureAction` in class `JdbcActionBuilder`

  - ### objectSelectAction

    public <T> SQLAction objectSelectAction(FluentSelect<T,?> query)
    Description copied from interface: `SQLActionVisitor`
    Creates an action to execute a FluentSelect.
    Specified by:
      `objectSelectAction` in interface `SQLActionVisitor`
    Overrides:
      `objectSelectAction` in class `JdbcActionBuilder`
    Since:
      4.2